#include <stdio.h>
#include <stdlib.h>
#include "bpp.h"
#include "error.h"
#include "scanner.h"



///////////////////
// Serious error, quit QBCC in it's tracks
void SysError(char *module, char *reason)
{
	fprintf(stderr, "Error: %s() %s\n", module, reason);
	
	ShutDown();

	exit(-1);
}

///////////////////
// Error in the bas file
void BASError(char *error)
{
	fprintf(stderr,"Error:  (%d)  %s\n",LineNumber,error);
}